1.14.4 Older Version Support with Custom Enchants

Discussion in 'Spigot Plugin Development' started by Darrionat, Mar 19, 2020.

  1. Hi,
    I'm currently trying to implement older version support for my CustomEnchants plugin; however, I'm having one issue.
    When making an enchant in 1.14, I'm using the newer method via NamespacedKeys, but 1.12 and below don't have this. I'm trying to do
    Code (Java):
    super(id);
    for my enchant wrapper for the older versions, but it just gives me this error.
    I understand that this was removed between 1.12 and 1.13, but how can I add support for it? Thanks